Package net.md_5.bungee.api.dialog

# Enum DialogBase.AfterAction

java.lang.Object
java.lang.Enum<DialogBase.AfterAction>
net.md_5.bungee.api.dialog.DialogBase.AfterAction

All Implemented Interfaces:
  `Serializable`, `Comparable<DialogBase.AfterAction>`

Enclosing class:
  DialogBase

public static enum DialogBase.AfterAction extends Enum<DialogBase.AfterAction>
Types of action which may be taken after the dialog.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSE`
  Close the dialog.
  `NONE`
  Do nothing.
  `WAIT_FOR_RESPONSE`
  Show a waiting for response screen.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DialogBase.AfterAction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DialogBase.AfterAction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLOSE

    @SerializedName("close") public static final DialogBase.AfterAction CLOSE
    Close the dialog.

  - ### NONE

    @SerializedName("none") public static final DialogBase.AfterAction NONE
    Do nothing.

  - ### WAIT_FOR_RESPONSE

    @SerializedName("wait_for_response") public static final DialogBase.AfterAction WAIT_FOR_RESPONSE
    Show a waiting for response screen.

- ## Method Details

  - ### values

    public static DialogBase.AfterAction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DialogBase.AfterAction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null